PCI_MSIX_VEC_COUNT(9)

NAME
pci_msix_vec_count - return the number of device's MSI-X table entries

SYNOPSIS

int pci_msix_vec_count(struct pci_dev * dev);

ARGUMENTS

dev
    pointer to the pci_dev data structure of MSI-X device function This function returns the number of device's MSI-X table entries and therefore the number of MSI-X vectors device is capable of sending. It returns a negative errno if the device is not capable of sending MSI-X interrupts.

COPYRIGHT